Subject: bug#71499: [PATCH] Make whitespace.el cleanup add missing final newline

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Jun 2024 15:50:43 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Andrea Corallo <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Fri, 14 Jun 2024 14:23:17 +0200
> 
> >>>>> On Thu, 13 Jun 2024 11:30:51 +0300, Eli Zaretskii <[email-masked]> said:
>     >> I'm as well for having the patch in, but I guess would be safer in 31 so
>     >> we have plenty of time to react if needed.
> 
>     Eli> OK, thanks.  I will then install after the branch is cut.
> 
>     Eli> Meanwhile, Björn, I have a few comments to the patch:
> 
>     Eli>   . it needs a NEWS entry announcing the new feature
>     Eli>   . is there any reason your code to handle the missing newline is not
>     Eli>     identical to what the implementation of require-final-newline
>     Eli>     does?
> 
> Iʼm going to chime in and say that, even though I highlight missing
> newlines at eob, I donʼt normally set `require-final-newline' to t,
> because of various reasons involving collaboration with others. So Iʼd
> have to turn this off once it goes in.

Maybe this feature should take a hint from require-final-newline?